patch
https://api.regal.ai/v1/users/
Update a user's skills, teams, and custom attributes.
Rate Limit
| Limit Type | Value |
|---|---|
| Requests per second | 10 |
If you exceed these limits, you will receive a 429 Rate Limit Exceeded response.
API Details
- Looks up the user by Regal user UUID or exact login email. Users can include human or AI agents.
- Email path values must be URL-encoded.
- All request body fields are optional.
- When provided,
skillsreplaces the user's active routing skills. Use[]to clear all skills. - When provided,
teamsreplaces the user's team membership. Use[]to clear all teams. - By default,
customAttributesreplaces the full custom attributes object. - Set
mergeCustomAttributestotrueto merge custom attributes into the existing object. Usenullvalues to remove keys during merge.
400Validation error, unknown skill, team, or user.

